Bug 177797 - Dual layer DVD-R discs not detected correctly
Dual layer DVD-R discs not detected correctly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dvd+rw-tools (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-14 05:07 EST by Adam Huffman
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-22 08:20:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2006-01-14 05:07:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051201 Fedora/1.5-1.1.fc4.nr Firefox/1.5

Description of problem:
Blank DVD-R dual layer discs are not detected correctly.  When inserted, a CD icon appears on the desktop, as opposed to the expected "blank DVD" icon.  K3B and Nautilus-CD-Burner do not detect the full size of the discs.

Nero Linux does detect the correct size, though discs burnt with it, while readable in Windows, are not readable in Linux.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1656_FC4

How reproducible:
Always

Steps to Reproduce:
1. Insert blank DVD-R disc
2. 
3.
  

Actual Results:  Disc is detected as CD - CD icon appears on desktop.

Expected Results:  Disc should have been detected as a blank DVD.

Additional info:

This does not appear to be restricted to particular brands - I have tried several.

The drive is an NEC ND-3540, in a Shuttle SN41G2.
Comment 1 Adam Huffman 2006-01-14 05:20:21 EST
[adam@asus ~]$ dvd+rw-mediainfo /dev/hdc
INQUIRY:                [_NEC    ][DVD_RW ND-3540A ][1.01]
GET [CURRENT] CONFIGURATION:
 Mounted Media:         2Bh, DVD+R Double Layer
 Media ID:              RITEK/D01
 Current Write Speed:   6.1x1385=8467KB/s
 Write Speed #0:        6.1x1385=8467KB/s
 Write Speed #1:        5.1x1385=7056KB/s
 Write Speed #2:        4.1x1385=5645KB/s
 Write Speed #3:        3.1x1385=4234KB/s
 Write Speed #4:        2.0x1385=2822KB/s
 Write Speed #5:        1.0x1385=1411KB/s
GET [CURRENT] PERFORMANCE:
 Write Performance:     2.4x1385=3324KB/s@[0 -> 4173824]
 Speed Descriptor#0:    00/4173824 R@5.0x1385=6925KB/s W@2.4x1385=3324KB/s
DVD+R DOUBLE LAYER BOUNDARY INFORMATION:
 L0 Data Zone Capacity: 2086912*2KB, can still be set
READ DISC INFORMATION:
 Disc status:           blank
 Number of Sessions:    1
 State of Last Session: empty
 Number of Tracks:      1
READ TRACK INFORMATION[#1]:
 Track State:           blank
 Track Start Address:   0*2KB
 Next Writable Address: 0*2KB
 Free Blocks:           4173824*2KB
 Track Size:            4173824*2KB
 ROM Compatibility LBA: 262144
READ CAPACITY:          1*2048=2048
Comment 2 Adam Huffman 2006-01-14 05:25:40 EST
The output of the same command with a DVD-R DL disc:

INQUIRY:                [_NEC    ][DVD_RW ND-3540A ][1.01]
GET [CURRENT] CONFIGURATION:
 Mounted Media:         15h, DVDunknown
 Current Write Speed:   6.1x1385=8467KB/s
 Write Speed #0:        6.1x1385=8467KB/s
 Write Speed #1:        5.1x1385=7056KB/s
 Write Speed #2:        4.1x1385=5645KB/s
 Write Speed #3:        3.1x1385=4234KB/s
 Write Speed #4:        2.0x1385=2822KB/s
 Write Speed #5:        1.0x1385=1411KB/s
GET [CURRENT] PERFORMANCE:
 Write Performance:     4.0x1385=5540KB/s@[0 -> 442367]
                        6.0x1385=8310KB/s@[442368 -> 4171712]
 Speed Descriptor#0:    00/4171712 R@8.0x1385=11080KB/s W@6.0x1385=8310KB/s
 Speed Descriptor#1:    00/4171712 R@5.0x1385=6925KB/s W@4.0x1385=5540KB/s
 Speed Descriptor#2:    00/4171712 R@5.0x1385=6925KB/s W@2.0x1385=2770KB/s
READ DVD STRUCTURE[#0h]:
 Media Book Type:       26h, DVD-R book [revision 6]
 Legacy lead-out at:    2092896*2KB=4286251008
READ DISC INFORMATION:
 Disc status:           blank
 Number of Sessions:    1
 State of Last Session: empty
 Number of Tracks:      1
READ TRACK INFORMATION[#1]:
 Track State:           blank
 Track Start Address:   0*2KB
 Next Writable Address: 0*2KB
 Free Blocks:           4171712*2KB
 Track Size:            4171712*2KB
READ CAPACITY:          1*2048=2048
Comment 3 Robin 2006-05-03 13:33:14 EDT
I thought this as well and then last night I came across the obvious.  The
default setting for the media graph is set to 4.4GB, not From Media.

If you right click on the bar, you will get a drop down menu, change it to From
Media and you will be set.

Hope this helps.

Comment 4 Adam Huffman 2006-05-03 16:52:09 EDT
That's a great tip, thanks, but now I get a different error:

media is not recognized as a recordable DVD: 10015
Comment 5 Adam Huffman 2006-05-16 20:01:28 EDT
The latest on this is that DVD+R DL discs are detected correctly on an up to
date FC5 system - not sure about DVD-R yet.
Comment 6 Christian Iseli 2007-01-19 19:46:54 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 Adam Huffman 2007-01-21 13:31:48 EST
Yes, that box is now running FC6 and the problem still applies.
Comment 8 Adam Huffman 2007-01-21 13:33:35 EST
In other words, a "CD-ROM disc" icon appears on the desktop when a blank DVD-R
dual layer disc is inserted.
Comment 9 Harald Hoyer 2007-06-21 06:58:50 EDT
still a problem with dvd+rw-7.0 ??
Comment 10 Adam Huffman 2007-06-22 04:52:40 EDT
Yes.  I've upgraded the box to F7 and the CD icon appears.  However, k3b seems
to detect the size of a blank DL disc correctly.
Comment 11 Adam Huffman 2007-06-24 18:58:04 EDT
I should have clarified - the output from dvd+rw-mediainfo is now correct, but
GNOME doesn't show the correct icon.  Does that need to be reported separately?

Note You need to log in before you can comment on or make changes to this bug.